### org.jfree.layouting.input.style.parser.stylehandler.text

# Class TextDecorationWidthReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.border.BorderWidthReadHandler`
    - - `org.jfree.layouting.input.style.parser.stylehandler.text.TextDecorationWidthReadHandler`

Implemented Interfaces:
  CSSCompoundValueReadHandler, CSSValueReadHandler

`public class TextDecorationWidthReadHandler`
`extends BorderWidthReadHandler`

Creation-Date: 02.12.2005, 20:10:24

Author:
  Thomas Morgner

  ## Constructor Summary

  `TextDecorationWidthReadHandler()`

  ## Method Summary

  `protected CSSValue`

  `parseWidth(LexicalUnit value)`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.border.BorderWidthReadHandler

  `createValues`, `getAffectedKeys`, `parseWidth`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler

  `createValue`, `isAllowAuto`, `isAllowPercentages`, `parseWidth`

## Constructor Details

### TextDecorationWidthReadHandler

    public TextDecorationWidthReadHandler()

## Method Details

### parseWidth

    protected CSSValue parseWidth(LexicalUnit value)

> Overrides:
>   parseWidth in interface BorderWidthReadHandler